Bug 771831 - add-brick succeeds even though brick is part of already created volume but started.
add-brick succeeds even though brick is part of already created volume but st...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Vivek Agarwal
Vijaykumar Koppad
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-05 02:27 EST by Vijaykumar Koppad
Modified: 2016-02-17 19:02 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-01-05 02:27:25 EST
Description of problem:

root@vostro:~# gluster volume info
 
Volume Name: vol
Type: Distribute
Status: Created
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: vostro:/home/vijay/bricks/doa/b1
Brick2: vostro:/home/vijay/bricks/doa/b2
 
Volume Name: doa
Type: Distribute
Status: Created
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: vostro:/home/vijay/bricks/doa/b3
Brick2: vostro:/home/vijay/bricks/doa/b4
root@vostro:~# gluster volume add-brick vol vostro:/home/vijay/bricks/doa/b3
Add Brick successful
root@vostro:~# gluster volume start vol
Starting volume vol has been successful
root@vostro:~# gluster volume start doa
'vostro:/home/vijay/bricks/doa/b3' has been part of a deleted volume with id 9b8dad66-eb7a-47cf-9929-527a35a4e1e4. Please re-create the brick directory.


Version-Release number of selected component (if applicable):master


How reproducible:Always
Comment 1 Anand Avati 2012-01-13 00:43:29 EST
CHANGE: http://review.gluster.com/2607 (glusterd: prevent adding bricks already in use) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Gowrishankar Rajaiyan 2012-05-18 18:30:15 EDT
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
Volume Name: test2
Type: Distribute
Volume ID: 0213ed95-79e3-417c-8b66-65b7ede0832b
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: dhcp201-181.englab.pnq.redhat.com:/tmp/test2
Brick2: dhcp201-154.englab.pnq.redhat.com:/tmp/test2
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
[root@dhcp201-181 ~]# gluster volume add-brick test2 dhcp201-181.englab.pnq.redhat.com:/tmp/test2
Add Brick unsuccessful
[root@dhcp201-181 ~]#  
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#


#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
Volume Name: test2
Type: Distribute
Volume ID: 0213ed95-79e3-417c-8b66-65b7ede0832b
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: dhcp201-181.englab.pnq.redhat.com:/tmp/test2
Brick2: dhcp201-154.englab.pnq.redhat.com:/tmp/test2
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#
[2012-05-19 06:20:09.020368] I [glusterd-utils.c:855:glusterd_volume_brickinfo_get_by_brick] 0-: brick: dhcp201-181.englab.pnq.redhat.com:/tmp/test2
[2012-05-19 06:20:09.023625] I [glusterd-utils.c:812:glusterd_volume_brickinfo_get] 0-management: Found brick
[2012-05-19 06:20:09.023690] E [glusterd-brick-ops.c:1141:glusterd_op_stage_add_brick] 0-management: Adding duplicate brick: dhcp201-181.englab.pnq.redhat.com:/tmp/test2
[2012-05-19 06:20:09.023720] E [glusterd-op-sm.c:1999:glusterd_op_ac_send_stage_op] 0-: Staging failed
#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~#


Verified: glusterfs-3.3.0beta4-1.x86_64

Note You need to log in before you can comment on or make changes to this bug.